[Bug 1562287] Re: Julia FTBFS on armhf since 5.3.1-3ubuntu3, builds in Debian

Graham Inggs graham at nerve.org.za
Sun May 1 07:16:29 UTC 2016


** Changed in: gcc-5 (Ubuntu)
       Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Foundations Bugs, which is subscribed to gcc-5 in Ubuntu.
https://bugs.launchpad.net/bugs/1562287

Title:
  Julia FTBFS on armhf since 5.3.1-3ubuntu3, builds in Debian

Status in gcc-5 package in Ubuntu:
  Invalid
Status in julia package in Ubuntu:
  Fix Released

Bug description:
  Julia last built successfully on armhf with gcc-5 5.3.1-3ubuntu1:
  https://launchpadlibrarian.net/229894151/buildlog_ubuntu-xenial-armhf.julia_0.4.2-3_BUILDING.txt.gz

  Since 5.3.1-3ubuntu3, builds have been stalling about 2/3 of the way through, displaying 'docs/helpdb.jl':
  https://launchpadlibrarian.net/235972583/buildlog_ubuntu-xenial-armhf.julia_0.4.3-1_BUILDING.txt.gz

  I was able to build Julia successfully on a Raspberry Pi 2 running Xenial by downgrading to 5.3.1-3ubuntu1.
  I then tried to bisect the gcc-5 versions in Ubuntu, but it ended up being 5.3.1-3ubuntu3 where things went wrong (5.3.1-3ubuntu2 never built successfully).

  On the Debian buildds, Julia stopped building after the switch from LLVM 3.7 to 3.8, failing with an 'Illegal instruction'.
  https://buildd.debian.org/status/logs.php?pkg=julia&arch=armhf

  It has however, continued to build on armhf on the Reproducible Build Team's builders.
  Here is the log of a successful build log of Julia 0.4.3-4 on armhf against gcc-5 5.3.1-11 from 2016-03-13:
  https://tests.reproducible-builds.org/rbuild/unstable/armhf/julia_0.4.3-4.rbuild.log

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gcc-5/+bug/1562287/+subscriptions



More information about the foundations-bugs mailing list